#pragma once
#include "libs.h"
#include "gui.h"
#include "view.h"

class StationSubView;

class SpaceStationView : public View {
public:
  SpaceStationView(void);
  virtual void Update(void);
  virtual void Draw3D(void);
  void GotoShipyard(void);
  void SwitchView(StationSubView* v);
  virtual void OnSwitchTo(void);
private:
  StationSubView* m_subview,
    *m_frontview,
    *m_shipyard;
};

